TaskReport (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.records, interface: TaskReport

Package org.apache.hadoop.mapreduce.v2.api.records

# Interface TaskReport

All Known Implementing Classes:
  `TaskReportPBImpl`

public interface TaskReport

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllDiagnostics(List<String> diagnostics)`
  `void`
  `addAllRunningAttempts(List<TaskAttemptId> taskAttempts)`
  `void`
  `addDiagnostics(String diagnostics)`
  `void`
  `addRunningAttempt(TaskAttemptId taskAttempt)`
  `void`
  `clearDiagnostics()`
  `void`
  `clearRunningAttempts()`
  `Counters`
  `getCounters()`
  `String`
  `getDiagnostics(int index)`
  `int`
  `getDiagnosticsCount()`
  `List<String>`
  `getDiagnosticsList()`
  `long`
  `getFinishTime()`
  `float`
  `getProgress()`
  `org.apache.hadoop.mapreduce.Counters`
  `getRawCounters()`
  `TaskAttemptId`
  `getRunningAttempt(int index)`
  `int`
  `getRunningAttemptsCount()`
  `List<TaskAttemptId>`
  `getRunningAttemptsList()`
  `long`
  `getStartTime()`
  `String`
  `getStatus()`
  `TaskAttemptId`
  `getSuccessfulAttempt()`
  `TaskId`
  `getTaskId()`
  `TaskState`
  `getTaskState()`
  `void`
  `removeDiagnostics(int index)`
  `void`
  `removeRunningAttempt(int index)`
  `void`
  `setCounters(Counters counters)`
  `void`
  `setFinishTime(long finishTime)`
  `void`
  `setProgress(float progress)`
  `void`
  `setRawCounters(org.apache.hadoop.mapreduce.Counters rCounters)`
  `void`
  `setStartTime(long startTime)`
  `void`
  `setStatus(String status)`
  `void`
  `setSuccessfulAttempt(TaskAttemptId taskAttempt)`
  `void`
  `setTaskId(TaskId taskId)`
  `void`
  `setTaskState(TaskState taskState)`

- ## Method Details

  - ### getTaskId

    TaskId getTaskId()

  - ### getTaskState

    TaskState getTaskState()

  - ### getProgress

    float getProgress()

  - ### getStatus

    String getStatus()

  - ### getStartTime

    long getStartTime()

  - ### getFinishTime

    long getFinishTime()

  - ### getCounters

    Counters getCounters()

  - ### getRawCounters

    org.apache.hadoop.mapreduce.Counters getRawCounters()

  - ### getRunningAttemptsList

    List<TaskAttemptId> getRunningAttemptsList()

  - ### getRunningAttempt

    TaskAttemptId getRunningAttempt(int index)

  - ### getRunningAttemptsCount

    int getRunningAttemptsCount()

  - ### getSuccessfulAttempt

    TaskAttemptId getSuccessfulAttempt()

  - ### getDiagnosticsList

    List<String> getDiagnosticsList()

  - ### getDiagnostics

    String getDiagnostics(int index)

  - ### getDiagnosticsCount

    int getDiagnosticsCount()

  - ### setTaskId

    void setTaskId(TaskId taskId)

  - ### setTaskState

    void setTaskState(TaskState taskState)

  - ### setProgress

    void setProgress(float progress)

  - ### setStatus

    void setStatus(String status)

  - ### setStartTime

    void setStartTime(long startTime)

  - ### setFinishTime

    void setFinishTime(long finishTime)

  - ### setCounters

    void setCounters(Counters counters)

  - ### setRawCounters

    void setRawCounters(org.apache.hadoop.mapreduce.Counters rCounters)

  - ### addAllRunningAttempts

    void addAllRunningAttempts(List<TaskAttemptId> taskAttempts)

  - ### addRunningAttempt

    void addRunningAttempt(TaskAttemptId taskAttempt)

  - ### removeRunningAttempt

    void removeRunningAttempt(int index)

  - ### clearRunningAttempts

    void clearRunningAttempts()

  - ### setSuccessfulAttempt

    void setSuccessfulAttempt(TaskAttemptId taskAttempt)

  - ### addAllDiagnostics

    void addAllDiagnostics(List<String> diagnostics)

  - ### addDiagnostics

    void addDiagnostics(String diagnostics)

  - ### removeDiagnostics

    void removeDiagnostics(int index)

  - ### clearDiagnostics

    void clearDiagnostics()